---
- name: determine latest version of minikube from github
  uri:
    url: https://api.github.com/repos/kubernetes/minikube/releases/latest
    body_format: json
    return_content: yes
  register: minikube_release

- name: register latest minikube version
  set_fact:
    mk_vers: "{{ minikube_release.json.tag_name|split('v')|last }}"

# https://github.com/kubernetes/minikube/releases/download/v1.28.0/minikube_1.28.0-0_amd64.deb

- name: install minikube
  apt:
    deb: https://github.com/kubernetes/minikube/releases/download/v{{ mk_vers }}/minikube_{{ mk_vers }}-0_amd64.deb
  tags: ['pkg']

- name: install helm
  apt:
    name: helm3
    state: latest

- name: Ensure awx helm repo is present
  shell: 'helm repo add awx-operator https://ansible.github.io/awx-operator/'

- name: render custom values.yaml
  template:
    src: ../templates/values.yaml.j2
    dest: /tmp/awx-values.yaml
# only init when variable is set (via --extra-vars="init_minikube=yes" at commandline)
- name: initialize minikube
  shell: "minikube start  --cpus=4 --memory={{srv_mem}}m --addons=ingress --driver=podman --container-runtime=cri-o"
  become: no
  when: init_minikube | bool

- name: announce finish
  debug:
    msg: "playbook complete, see the README for next steps"

